Subject: Re: (core dumped) mkshortcut
From: Denis Excoffier <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Sep 2012 21:16:54 +0200
List-Id: <cygwin.cygwin.com>

On 2012-09-10 at 14:54, Earnie Boyd wrote:
> On Mon, Sep 10, 2012 at 7:02 AM, Robert Mark wrote:
>> Hi Earnie,
>> 
>>>> As per a previous message
>>>> (http://cygwin.com/ml/cygwin/2012-05/msg00215.html) I am still finding
>>>> that mkshortcut causes core dumps (Windows 7, 64 bit). I have tried a
>>>> few different options: -P or -D still cause dumps. I have checked
>>>> permissions and they are all ok. Some folders do cause the error, some
>>>> don't.
>>>> 
>>>> mkshortcut -n "I for cygwin bin" /D/cyghome/bin
>>>> /home/RobertMarkBram/bin/createWindowsShortcut.sh: line 160:  8128
>>>> Aborted                 (core dumped) mkshortcut -n "$shortcutName"
>>>> "$target"
>>> 
>>> I'm going to guess but have no fact to back it that the reason is due
>>> to the fact you're executing in a 32bit environment and the shortcut
>>> the tool makes needs a 64bit enviroment.  This may only be resolved by
>>> a 64bit version of Cygwin.
>> 
>> I did say I was running 64bit Win 7, so what exactly do you mean?
>> 
> 
> I mean that Cygwin at the moment is a 32 bit application.  So you are
> executing in an emulation mode and some things might just not work as
> expected.

I must say that i run on 32 bits natively (XP) and have what i think is
the very same problem. See http://cygwin.com/ml/cygwin/2012-08/msg00542.html
I add here that my XP is "french only" (nationalization not possible).

Regards,

Denis Excoffier.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple